#!/usr/bin/env python3
# -*- coding: utf-8 -*-

""" easypipe configuration file: the only file where something have to be modified"""

import os


"""easyget: information for sftp connexion"""
# ESRF:
ESRF_SERVER = "dt.esrf.fr"  # 160.103.209.211
ESRF_PORT = 22
ESRF_BEAMLINES = ['id23eh1', 'id23eh2', 'id29', 'id30a1', 'id30a3', 'id30b', 'bm07']
# path before /login/beam/acronym/beamline/date/...
# Ex :/data/visitor/mx1896/id29/20170922/PROCESSED_DATA/erk2
ESRF_PATH = "/data/visitor/"

# ALBA:
ALBA_SERVER = "userdata.cells.es"
ALBA_PORT = 443
ALBA_BEAMLINES = ['BL13']
# Ex : /20230628/PROCESSED_DATA/jeu ou /20230628/PROCESSED_DATA/projet/jeu
ALBA_PATH = "/"


"""Software used by modules"""
# Linux
if os.name == 'posix':
    #PHENIX_PATH = "/PROG/LINUX/prog/PHENIX/phenix-1.21-5207"    # TODO : tester si version OK avec autoBuild, pbm avec les labels  l'tape refine remont le 01/02/2024
    #PHENIX_PATH = "/PROG/LINUX/prog/phenix/phenix-1.20.1-4487"  # bug avec autobuild, ne copie pas les fichiers finaux dans pipeline_1, fait comme si avait chou !! 
    #PHENIX_PATH = "/PROG/LINUX/prog/phenix/phenix-1.21.1-5286/phenix-1.21.1-5286" # pbm de label  l'tape refine !! remont le 07/08/2024
    PHENIX_PATH = "/PROG/LINUX/prog/phenix/phenix-dev-4673" # v1.20 corrige pour pbm autobuild => OK !!!
    BABEL_PATH = "/usr/bin/"
# Windows
elif os.name == 'nt':
    PHENIX_PATH = r"C:\Users\gelinm\Phenix\phenix-installer-1.19.1-4122-intel-windows-x86_64"
    BABEL_PATH = r"C:\Program Files\OpenBabel-3.1.1"


"""Limits for poor data"""
compl_min = 70		# minimum completeness to process in 'full' or 'allsg'
reso_min = 3.75		# minimum resolution to process in 'full' or 'allsg'


"""For verbose and log files"""
nb_motifs = 80
motif = '~'
sub_motif = '-'

